<?php
/**
 * Copyright © Magento, Inc. All rights reserved.
 * See COPYING.txt for license details.
 */

// phpcs:disable Magento2.Templates.ThisInTemplate
// phpcs:disable Squiz.PHP.GlobalKeyword.NotAllowed
?>
<?php

    $_order  = $block->getOrder();
    $_source = $block->getSource();
    $_fullInfo = $this->helper(\Magento\Tax\Helper\Data::class)->getCalculatedTaxes($_source);
    global $taxIter;
    $taxIter++;
?>

<?php if ($_fullInfo && $block->displayFullSummary()) : ?>
        <?php foreach ($_fullInfo as $info) : ?>
            <?php
                $percent    = $info['percent'];
                $amount     = $info['tax_amount'];
                $baseAmount = $info['base_tax_amount'];
                $title      = $info['title'];
            ?>
            <tr class="totals tax details details-<?= (int) $taxIter ?><?= ($block->getIsPlaneMode()) ? ' plane' : '' ?>">
                <td <?= /* @noEscape */ $block->getLabelProperties() ?>  style="text-align:left;font-weight:bold;font-size:16px;width:50%;padding-top:10px !important;">
                    <?= $block->escapeHtml($title) ?>
                    <?php if ($percent !== null) : ?>
                        (<?= (float) $percent ?>%)
                    <?php endif; ?>
                    <br />
                </td>
                <td <?= /* @noEscape */ $block->getValueProperties() ?> rowspan="1" style="text-align:right;font-weight:bold;font-size:16px;width:50%;padding-top:10px !important;">
                    <?= /* @noEscape */ $_order->formatPrice($amount) ?>
                </td>
            </tr>
        <?php endforeach; ?>
<?php endif; ?>

<?php if ($block->displayFullSummary() && $_fullInfo && !$block->getIsPlaneMode()) : ?>
<tr class="totals-tax-summary">
<?php elseif ($block->displayFullSummary() && $_fullInfo && $block->getIsPlaneMode()) : ?>
<tr class="totals-tax-summary plane">
<?php else : ?>
<tr class="totals-tax">
<?php endif; ?>
    <th <?= /* @noEscape */ $block->getLabelProperties() ?> scope="row" style="text-align:left;font-weight:bold;font-size:16px;width:50%;padding-top:10px !important;">
        <?php if ($block->displayFullSummary()) : ?>
            <div class="detailed"><?= $block->escapeHtml(__('Tax')) ?></div>
        <?php else : ?>
            <?= $block->escapeHtml(__('Tax')) ?>
        <?php endif; ?>
    </th>
    <td style="text-align:right;font-weight:bold;font-size:16px;width:50%;padding-top:10px !important;" <?= /* @noEscape */ $block->getValueProperties() ?> data-th="<?= $block->escapeHtmlAttr(__('Tax')) ?>">
        <?= /* @noEscape */ $_order->formatPrice($_source->getTaxAmount()) ?>
    </td>
</tr>
